Friday, December 6, 2013

Announcing Xmarks for Mac OS X 10.9 Mavericks

Today, we’re happy to announce a new version of Xmarks for Safari with support for Mac OS 10.9 “Mavericks”. Since Apple made significant changes to their sync architecture in Safari with their latest release, essentially ending support for the previous functionality we used, we undertook the task of rebuilding Xmarks to support Safari. Despite the challenges, these updates benefit Xmarks users in the long run, now that the product is leaner and faster than ever.

The new version of Xmarks for Safari can be downloaded at https://download.xmarks.com/download/macosx_10_5 and provides support for the newest versions of Mac OS X, but should be compatible with previous Mac versions back to 10.5.

What about syncing Xmarks with iCloud?


We will continue to explore a direct iCloud sync option, so that you could sync Xmarks to iCloud, and let iCloud sync to Safari, iPad, and other Mac and iOS devices. While this feature has many inherent challenges, we’re considering our options and hope to support iCloud sync in the future.

Can I keep running Xmarks 1.4.3?


If the previous version of Xmarks is working for you, you can continue to run it. A direct link to the old download is here: https://static.xmarks.com/clients/safari/xmarks_for_safari_1.4.3.dmg - however, we do not plan to continue to develop this version and it will not work with OS X 10.9.

We continue to work hard to improve the service overall. Over the last year, we’ve been focused on strengthening the underlying sync architecture and scaling the product. Moving forward, we’ll be focused on building new features for both the free and Premium service.


Best,
The LastPass & Xmarks Team